## quodlibet 0.10.1

=== Makefile ===
MODULES = config.py const.py library.py gosd.py match.py parser.py player.py qltk.py util.py widgets.py formats/*.py
SUBDIRS = trayicon mmkeys po
EXTENSIONS = trayicon.so mmkeys.so
PREFIX ?= /usr/local
TO = lib/quodlibet

all:
	@/bin/echo -n "Checking for Python... "
	@which python || ( echo "Not found." && /bin/false )
	@./check.py

make-install-dirs:
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(PREFIX)/$(TO)

install: make-install-dirs install-exfalso install-quodlibet
	./quickzip.py quodlibet.zip $(MODULES)
	install -m 644 quodlibet.zip volume.png $(DESTDIR)$(PREFIX)/$(TO)
	-for E in $(EXTENSIONS); do (test -e $$E && install -m 755 $$E $(DESTDIR)$(PREFIX)/$(TO)); done
	cd po && make install-po DESTDIR=$(DESTDIR)

install-%: make-install-dirs
	install -m 755 $*.py $(DESTDIR)$(PREFIX)/$(TO)
	install -m 644 $*.1 $(DESTDIR)$(PREFIX)/share/man/man1/$*.1
	install -D -m 644 $*.png $(DESTDIR)$(PREFIX)/share/pixmaps/$*.png
	install -m 644 $*.png $(DESTDIR)$(PREFIX)/$(TO)
	install -D -m 644 $*.desktop $(DESTDIR)$(PREFIX)/share/applications/$*.desktop
	ln -sf ../$(TO)/$*.py $(DESTDIR)$(PREFIX)/bin/$*

clean:
	rm -f *.pyc */*.pyc quodlibet.zip $(EXTENSIONS)
	for D in $(SUBDIRS); do cd $$D && make clean && cd ..; done

distclean: clean
	rm -f *~ */*~ \#* *.bak *.orig $(NAME).gladep
	for D in $(SUBDIRS); do cd $$D && make distclean && cd ..; done

extensions: $(EXTENSIONS)

%.so: %
	cd $^ && make $@ && cd ..
	cp $^/$@ .

po-data:
	cd po && make po

=== po/Makefile ===
top_srcdir = ../
NAME = quodlibet
ALL_LINGUAS = en_GB en_CA de pl
PO_DIR ?= /usr/share/locale

all:

po: quodlibet.pot
	for F in $(ALL_LINGUAS); do make $$F.mo; done

quodlibet.pot: ../quodlibet.py ../library.py tag-names.py ../util.py ../widgets.py ../exfalso.py ../formats/audio.py
	intltool-update --pot --gettext-package=$(NAME)

%.mo: %.po quodlibet.pot
	intltool-update --gettext-package=$(NAME) `echo $< | sed s/.po//`
	msgfmt -o $@ $<

clean:
	rm -f untitled.pot

distclean: clean
	rm -f *~

install-po:
	for F in $(ALL_LINGUAS); do mkdir -p $(DESTDIR)$(PO_DIR)/$$F/LC_MESSAGES && install -m 644 $$F.mo $(DESTDIR)$(PO_DIR)/$$F/LC_MESSAGES/$(NAME).mo; done

## quodlibet 0.13.1

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-MODULES = config.py const.py library.py gosd.py match.py parser.py player.py qltk.py util.py widgets.py formats/*.py
+MODULES = config.py const.py efwidgets.py library.py match.py parser.py player.py plugins.py properties.py qltk.py songlist.py stock.py util.py widgets.py formats/*.py mutagen/*.py browsers/*.py
 SUBDIRS = trayicon mmkeys po
 EXTENSIONS = trayicon.so mmkeys.so
 PREFIX ?= /usr/local
@@ -16,7 +16,7 @@
 
 install: make-install-dirs install-exfalso install-quodlibet
 	./quickzip.py quodlibet.zip $(MODULES)
-	install -m 644 quodlibet.zip volume.png $(DESTDIR)$(PREFIX)/$(TO)
+	install -m 644 quodlibet.zip ql-*.png $(DESTDIR)$(PREFIX)/$(TO)
 	-for E in $(EXTENSIONS); do (test -e $$E && install -m 755 $$E $(DESTDIR)$(PREFIX)/$(TO)); done
 	cd po && make install-po DESTDIR=$(DESTDIR)

=== po/Makefile ===
top_srcdir = ../
NAME = quodlibet
ALL_LINGUAS = en_GB en_CA de pl ru fr fi nl he bg
PREFIX ?= /usr
PO_DIR ?= $(PREFIX)/share/locale

all:

po: quodlibet.pot
	for F in $(ALL_LINGUAS); do make $$F.mo; done

quodlibet.pot: ../*.py ../formats/*.py ../browsers/*.py
	intltool-update --pot --gettext-package=$(NAME)

%.po: quodlibet.pot
	intltool-update --gettext-package=$(NAME) `echo $@ | sed s/.po//`

%.mo: %.po quodlibet.pot
	msgfmt -o $@ $<

check:
	for F in $(ALL_LINGUAS); do make check-$$F; done

check-%: %.po
	msgfmt -c $<

clean:
	rm -f untitled.pot

mo-clean: distclean
	rm -f *.mo quodlibet.pot quodlibet.gmo

distclean: clean
	rm -f *~

install-po:
	for F in $(ALL_LINGUAS); do mkdir -p $(DESTDIR)$(PO_DIR)/$$F/LC_MESSAGES && install -m 644 $$F.mo $(DESTDIR)$(PO_DIR)/$$F/LC_MESSAGES/$(NAME).mo; done

## quodlibet 0.18

=== Makefile ===
MODULES = config.py const.py library.py massagers.py player.py stock.py widgets.py
MODULE_DIRS = mutagen browsers formats qltk parse plugins util
PROGRAMS = exfalso quodlibet
SUBDIRS = trayicon mmkeys po
EXTENSIONS = _trayicon.so _mmkeys.so
PREFIX ?= /usr/local
TO = share/quodlibet
TODEP = lib/quodlibet

all:
	@/bin/echo -n "Checking for Python... "
	@which python || ( echo "Not found." && /bin/false )
	@./check.py

make-install-dirs:
	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
	mkdir -p $(DESTDIR)$(PREFIX)/bin
	mkdir -p $(DESTDIR)$(PREFIX)/$(TO)

# Failure to build POT/MO files is non-fatal in case there is a clock
# skew on the user's system and they don't have intltool/gettext installed;
# then at least the QL install will not fail mysteriously, it will just
# have (potentially) outdated translations. Ideally any developers
# installing the SVN version will have intltool and so it will build fine.
install: make-install-dirs install-dirs install-programs
	install -m 644 $(MODULES) rhythmbox-*.png $(DESTDIR)$(PREFIX)/$(TO)
	-for E in $(EXTENSIONS); do (test -e $$E && install -m 755 -D $$E $(DESTDIR)$(PREFIX)/$(TODEP)/$$E); done
	-cd po && make install-po DESTDIR=$(DESTDIR)

install-dirs: $(addprefix dir-install-, $(MODULE_DIRS))

install-programs: $(addprefix app-install-, $(PROGRAMS))

dir-install-%: make-install-dirs
	mkdir -p $(DESTDIR)$(PREFIX)/$(TO)/$*
	install -m 644 $*/*.py $(DESTDIR)$(PREFIX)/$(TO)/$*

app-install-%: make-install-dirs %.desktop
	install -m 755 $*.py $(DESTDIR)$(PREFIX)/$(TO)
	install -m 644 $*.1 $(DESTDIR)$(PREFIX)/share/man/man1/$*.1
	install -D -m 644 $*.png $(DESTDIR)$(PREFIX)/share/pixmaps/$*.png
	install -m 644 $*.svg $*.png $(DESTDIR)$(PREFIX)/$(TO)
	-install -D -m 644 $*.desktop $(DESTDIR)$(PREFIX)/share/applications/$*.desktop
	ln -sf ../$(TO)/$*.py $(DESTDIR)$(PREFIX)/bin/$*

clean:
	rm -f *.pyc */*.pyc $(EXTENSIONS) messages.mo
	for D in $(SUBDIRS); do cd $$D && make clean && cd ..; done

distclean: clean
	rm -f *~ */*~ \#* */\#* *.bak */*.bak *.orig */*.orig
	for D in $(SUBDIRS); do cd $$D && make distclean && cd ..; done

superclean: distclean
	rm -f *.desktop
	cd po && make mo-clean

extensions: $(EXTENSIONS)

_trayicon.so:
	cd trayicon && make trayicon.so && cd ..
	cp trayicon/trayicon.so _trayicon.so
_mmkeys.so:
	cd mmkeys && make mmkeys.so && cd ..
	cp mmkeys/mmkeys.so _mmkeys.so

po-data:
	cd po && make po

%.desktop: %.desktop.in po/*.po
	-intltool-merge -d po $< $@

.PHONY: all make-install-dirs install install-% clean distclean po-data

=== po/Makefile ===
top_srcdir = ../
NAME = quodlibet
ALL_LINGUAS = en_GB en_CA de pl ru fr fi nl he bg gl it es pt ko lt
PREFIX ?= /usr
PO_DIR ?= $(PREFIX)/share/locale

all:

po: $(addsuffix .mo, $(ALL_LINGUAS))

quodlibet.pot: ../*.py ../formats/*.py ../browsers/*.py ../qltk/*.py tag-names.py ../util/*.py
	intltool-update --pot --gettext-package=$(NAME)

%.po: quodlibet.pot
	intltool-update --dist --gettext-package=$(NAME) $*

%.mo: %.po
	msgfmt -o $@ $<

check: $(addprefix check-, $(ALL_LINGUAS))

check-%: %.po
	msgfmt -c $<

clean:
	rm -f untitled.pot messages.mo quodlibet.gmo notexist missing

mo-clean: distclean
	rm -f *.mo quodlibet.pot

distclean: clean
	rm -f *~

install-po: po
	for F in $(ALL_LINGUAS); do mkdir -p $(DESTDIR)$(PO_DIR)/$$F/LC_MESSAGES && install -m 644 $$F.mo $(DESTDIR)$(PO_DIR)/$$F/LC_MESSAGES/$(NAME).mo; done

.PHONY: po check check-% clean mo-clean distclean install-po

## quodlibet 0.23.1

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
-MODULES = config.py const.py library.py massagers.py player.py stock.py widgets.py
-MODULE_DIRS = mutagen browsers formats qltk parse plugins util
+MODULES = config.py const.py player.py stock.py widgets.py
+MODULE_DIRS = browsers formats qltk parse plugins util library
 PROGRAMS = exfalso quodlibet
 SUBDIRS = trayicon mmkeys po
 EXTENSIONS = _trayicon.so _mmkeys.so
@@ -10,7 +10,7 @@
 all:
 	@/bin/echo -n "Checking for Python... "
 	@which python || ( echo "Not found." && /bin/false )
-	@./check.py
+	@./check.py $(DESTDIR)$(PREFIX)/$(TO)
 
 make-install-dirs:
 	mkdir -p $(DESTDIR)$(PREFIX)/share/man/man1
@@ -44,7 +44,8 @@
 	ln -sf ../$(TO)/$*.py $(DESTDIR)$(PREFIX)/bin/$*
 
 clean:
-	rm -f *.pyc */*.pyc $(EXTENSIONS) messages.mo
+	rm -f *.py[co] */*.py[co] $(EXTENSIONS) messages.mo
+	rm -rf coverage
 	for D in $(SUBDIRS); do cd $$D && make clean && cd ..; done
 
 distclean: clean

=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,7 @@
 top_srcdir = ../
 NAME = quodlibet
-ALL_LINGUAS = en_GB en_CA de pl ru fr fi nl he bg gl it es pt ko lt
+ALL_LINGUAS = en_GB en_CA de pl ru fr fi nl he bg gl it es pt ko lt nb \
+              sv zh_CN hu ja zh_TW
 PREFIX ?= /usr
 PO_DIR ?= $(PREFIX)/share/locale
 
@@ -8,7 +9,7 @@
 
 po: $(addsuffix .mo, $(ALL_LINGUAS))
 
-quodlibet.pot: ../*.py ../formats/*.py ../browsers/*.py ../qltk/*.py tag-names.py ../util/*.py
+quodlibet.pot: ../*.py ../formats/*.py ../browsers/*.py ../qltk/*.py ../plugins/*.py tag-names.py ../util/*.py ../library/*.py
 	intltool-update --pot --gettext-package=$(NAME)
 
 %.po: quodlibet.pot
@@ -24,9 +25,7 @@
 
 clean:
 	rm -f untitled.pot messages.mo quodlibet.gmo notexist missing
-
-mo-clean: distclean
-	rm -f *.mo quodlibet.pot
+	rm -f *.mo
 
 distclean: clean
 	rm -f *~

=== trayicon/Makefile ===
# Copyright 2004 Joe Wreschnig. Released under the terms of the GNU GPL.

trayicon.so: build
	cp build/lib*/trayicon.so .

build: trayicon.c
	./setup.py build

DEFS=`pkg-config --variable=defsdir pygtk-2.0`

trayicon.c: trayicon.defs trayicon.override
	pygtk-codegen-2.0 --prefix trayicon \
	--register $(DEFS)/gdk-types.defs \
	--register $(DEFS)/gtk-types.defs \
	--override trayicon.override \
	trayicon.defs > gen-tmp
	mv gen-tmp $@

clean:
	rm -f trayicon.so *.o trayicon.c
	rm -rf build dist

distclean: clean
	rm -f *~ gen-tmp

## quodlibet 0.24

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 MODULES = config.py const.py player.py stock.py widgets.py
-MODULE_DIRS = browsers formats qltk parse plugins util library
+MODULE_DIRS = browsers devices formats qltk parse plugins util library
 PROGRAMS = exfalso quodlibet
 SUBDIRS = trayicon mmkeys po
 EXTENSIONS = _trayicon.so _mmkeys.so
@@ -17,15 +17,10 @@
 	mkdir -p $(DESTDIR)$(PREFIX)/bin
 	mkdir -p $(DESTDIR)$(PREFIX)/$(TO)
 
-# Failure to build POT/MO files is non-fatal in case there is a clock
-# skew on the user's system and they don't have intltool/gettext installed;
-# then at least the QL install will not fail mysteriously, it will just
-# have (potentially) outdated translations. Ideally any developers
-# installing the SVN version will have intltool and so it will build fine.
 install: make-install-dirs install-dirs install-programs
-	install -m 644 $(MODULES) rhythmbox-*.png $(DESTDIR)$(PREFIX)/$(TO)
-	-for E in $(EXTENSIONS); do (test -e $$E && install -m 755 -D $$E $(DESTDIR)$(PREFIX)/$(TODEP)/$$E); done
-	-cd po && make install-po DESTDIR=$(DESTDIR)
+	install -m 644 $(MODULES) audio-*.png media-*.png device-*.png $(DESTDIR)$(PREFIX)/$(TO)
+	for E in $(EXTENSIONS); do (test -e $$E && install -m 755 -D $$E $(DESTDIR)$(PREFIX)/$(TODEP)/$$E); done
+	cd po && make install-po DESTDIR=$(DESTDIR)
 
 install-dirs: $(addprefix dir-install-, $(MODULE_DIRS))

## quodlibet 1.0

=== po/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 top_srcdir = ../
 NAME = quodlibet
 ALL_LINGUAS = en_GB en_CA de pl ru fr fi nl he bg gl it es pt ko lt nb \
-              sv zh_CN hu ja zh_TW
+              sk sv zh_CN hu ja zh_TW ro
 PREFIX ?= /usr
 PO_DIR ?= $(PREFIX)/share/locale
 
@@ -9,7 +9,7 @@
 
 po: $(addsuffix .mo, $(ALL_LINGUAS))
 
-quodlibet.pot: ../*.py ../formats/*.py ../browsers/*.py ../qltk/*.py ../plugins/*.py tag-names.py ../util/*.py ../library/*.py
+quodlibet.pot: POTFILES.in ../*.py ../formats/*.py ../browsers/*.py ../qltk/*.py ../plugins/*.py tag-names.py ../util/*.py ../library/*.py ../devices/*.py
 	intltool-update --pot --gettext-package=$(NAME)
 
 %.po: quodlibet.pot

## quodlibet 1.0.ds1

=== Makefile ===
--- 
+++ 
@@ -18,9 +18,14 @@
 	mkdir -p $(DESTDIR)$(PREFIX)/$(TO)
 
 install: make-install-dirs install-dirs install-programs
-	install -m 644 $(MODULES) audio-*.png media-*.png device-*.png $(DESTDIR)$(PREFIX)/$(TO)
-	for E in $(EXTENSIONS); do (test -e $$E && install -m 755 -D $$E $(DESTDIR)$(PREFIX)/$(TODEP)/$$E); done
+	install -m 644 $(MODULES) missing-cover.svg audio-*.png media-*.png device-*.png $(DESTDIR)$(PREFIX)/$(TO)
 	cd po && make install-po DESTDIR=$(DESTDIR)
+
+	for E in $(EXTENSIONS); do \
+		if test -e $$E; then \
+			install -m 755 -D $$E $(DESTDIR)$(PREFIX)/$(TODEP)/$$E; \
+		fi; \
+	done
 
 install-dirs: $(addprefix dir-install-, $(MODULE_DIRS))

## quodlibet 2.2.1

=== debian/changelog ===
quodlibet (2.2.1-1) unstable; urgency=low

  * New upstream bugfix release 2.2.1
  * Fixes release 2.2 regressions related to:
    - Importing some mp3 files.
    - Device backend (iPod, multi partition DAPs).
    - Renaming keys with different values across files.
  * Change priority of quodlibet-ext to extra.
  * Remove 10-desktop-file-encoding.patch, now included upstream.

 -- Ondřej Kuzník <ondra@mistotebe.net>  Fri, 02 Apr 2010 23:29:58 +0200

quodlibet (2.2+debian-1) unstable; urgency=low

  * Strip stray .py file from the upstream tarball instead of trying to get
    rid of it later. (Closes: #570328)

 -- Christine Spang <christine@debian.org>  Wed, 17 Feb 2010 17:54:55 -0500

quodlibet (2.2-1) unstable; urgency=low

  [ Ondřej Kuzník ]
  * Add myself to uploaders.
  * New upstream version (Closes: #564161)

  [ Christine Spang ]
  * Drop unnecessary dependencies: libgtk2.0-0 (pulled in by python-gtk2
    anyway), python-pyvorbis (not used)
  * Bump Standards-Version to 3.8.4.
  * Build-depend on python-all-dev so we can support both python2.5 and
    python2.6

 -- Ondřej Kuzník <ondra@mistotebe.net>  Fri, 05 Feb 2010 06:49:33 +0100

quodlibet (2.1.98-1) unstable; urgency=low

  * New upstream release
  * Drop libmp4v2 from exfalso's Suggests: as it is not actually used
    by exfalso (Closes: #555559)
  * Make myself the primary maintainer since Tristan has been inactive
    for many months now.
  * Lyrics downloading works with this release (Closes: #470926)
  * Changing column widths no longer changes the widths
    of all other columns (Closes: #405288)
  * Queue is remembered even when quodlibet is closed (Closes: #533105)
  * Recommend python-gpod and python-dbus since they are recommended
    in quodlibet's README and most users will want them.
  * Add a README.Debian noting a change in the configuration format
    for the paned browser and how to fix it should your configuration
    not work with this version.
  * Solve upgrade problem. (Closes: #554676, #552775)

 -- Christine Spang <christine@debian.org>  Mon, 04 Jan 2010 14:17:24 -0500

quodlibet (2.1-4) unstable; urgency=low

  * Install icons in {quodlibet,exfalso}.install, not in debian/rules.
    (Closes: #552288)

 -- Christine Spang <christine@debian.org>  Sun, 25 Oct 2009 11:20:02 -0400

quodlibet (2.1-3) unstable; urgency=low

  * Re-switch back to python-support, since most python packages
    are converging on it, and since I've figured out what was
    causing plugin problems last time around.
  * Bump to Standards-Version 3.8.3
  * Use python.mk to support python2.6's dist-packages directory.
    (Closes: #547855)

 -- Christine Spang <christine@debian.org>  Sat, 24 Oct 2009 17:56:14 -0400

quodlibet (2.1-2) unstable; urgency=medium

  * Fall back to python-central rather than python-support, since
    python-support currently breaks this package. (Closes: #536739)

 -- Christine Spang <christine@debian.org>  Tue, 14 Jul 2009 18:12:40 -0400

quodlibet (2.1-1) unstable; urgency=low

  * New Upstream Version (maintenance release)
    * Bug fixes:
      * Installer fixes [15, 27, 88]
      * Right-click on menu causes crash [14]
      * Removing a pane from the paned browser causes segfault [131]
      * Null bytes in tags are now stripped on load [177, 242]
      * zh_CN translation updated [156]
    * Support .oga file extension for Ogg Vorbis files [52]
    * Support libre.fm scrobbling in qlscrobbler plugin
    * Get Internet Radio channel listing from yp.icecast.org [18]
    * Ignore errors during playback for ~#skipcount [37]
    * URIs supported for --play-file and --enqueue [17]
    * Many minor fixes and enhancements.
    * Don't use deprecated popen functions (Closes: #531628)
  * Drop patches use-music-profile.patch; it's been integrated upstream.
  * Drop install paths patch; it's no longer necessary.
  * Migrate to debhelper 7 and python-support from cdbs and python-central.

 -- Christine Spang <christine@debian.org>  Sun, 05 Jul 2009 07:59:28 -0400

quodlibet (2.0-3) unstable; urgency=low

  * Fix watch file.
  * Don't create empty /usr/lib/quodlibet.
  * Avoid installing empty site-packages dir in exfalso.
  * Remove spurious libmpcdec3 dependency (closes: #476376).
  * Switch to quilt for patches.
  * Apply Ubuntu patch for selecting music profile.
  * Update changelog.
  * Set DEB_PYTHON_MODULE_PACKAGES and depend on cdbs 0.5.45.
  * Bump Standards-Version; no changes required.

 -- Tristan Seligmann <mithrandi@mithrandi.net>  Sat, 28 Mar 2009 17:48:21 +0200

quodlibet (2.0-2) unstable; urgency=low

  * Upload to unstable now that Lenny has been released (woo!).

 -- Christine Spang <christine@debian.org>  Mon, 16 Feb 2009 07:09:42 -0500

quodlibet (2.0-1) experimental; urgency=low

  * Add myself to Uploaders and upload to the 7-day delayed queue.
  * New upstream release (closes: #494392). Thanks Bastian Kleineidam
    <calvin@debian.org> for his work on packaging it.
  * Drop 20-ellipsize-middle.patch and 30-lyricwiki.patch as they are now
    upstream.
  * Update 40-no-po-update.patch for new build system.
  * We no longer need to modify the upstream tarball, drop README.Debian.
  * Update to standards-version 3.8.0.
  * Use compat level 7.
  * Bump depends in debian/control based on the quodlibet website.
  * Drop exfalso dependency on quodlibet-plugins.
  * Change homepage to the new Google Code site.

 -- Christine Spang <christine@debian.org>  Wed, 28 Jan 2009 16:02:26 -0500

quodlibet (1.0.ds1-1) unstable; urgency=low

  * Ship modified upstream tarball, removing insulting source code, and put a
    note in README.Debian to explain why we're doing this (closes: #477454).
  * Add Vcs-Darcs field.
  * Add Homepage field.
  * Update my e-mail address.
  * Stop updating .po files during build.

 -- Tristan Seligmann <mithrandi@mithrandi.net>  Tue, 03 Jun 2008 22:39:49 +0200

quodlibet (1.0-2) unstable; urgency=low

  * Remove use of ${Source-Version}.
  * Fix desktop files.


=== debian/control ===
Source: quodlibet
Section: sound
Priority: optional
Maintainer: Christine Spang <christine@debian.org>
Uploaders: Tristan Seligmann <mithrandi@mithrandi.net>,
    Ondřej Kuzník <ondra@mistotebe.net>
Build-Depends: debhelper (>= 7.0.50~), python-all-dev,
    python-gtk2-dev (>= 2.10), pkg-config, intltool,
    python-support (>= 0.90), quilt
Standards-Version: 3.8.4
Vcs-git: git://git.debian.org/git/collab-maint/quodlibet
Vcs-Browser: http://git.debian.org/?p=collab-maint/quodlibet.git
Homepage: http://code.google.com/p/quodlibet/

Package: exfalso
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-mutagen (>= 1.14),
    python-gtk2 (>= 2.10)
Recommends: quodlibet-plugins
Suggests: python-ctypes, libmodplug0c2
Conflicts: quodlibet-plugins (<< 20090127)
Description: audio tag editor for GTK+
 Ex Falso displays and edits audio metadata tags. Supported formats include
 MP3, Ogg Vorbis, FLAC, Musepack (MPC), WavPack, and MOD/XM/IT.
 .
 Notable features include:
  * Freeform tag editing for most supported formats, including ID3v2
  * Multiple values for tag keys
  * Flexible rename-by-tags and tag-by-filename patterns
  * Extensible using simple Python-based plugins
  * Edit multiple files in several formats at once

Package: quodlibet
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, exfalso (= ${source:Version}),
    gstreamer0.10-plugins-base (>= 0.10.3), python-gst0.10 (>= 0.10.1),
    gstreamer0.10-plugins-good, gstreamer0.10-plugins-ugly
Recommends: quodlibet-ext (>= ${source:Version}), gstreamer0.10-alsa,
    gstreamer0.10-gnomevfs, python-feedparser, python-gpod, python-dbus
Suggests: gstreamer0.10-plugins-bad, quodlibet-plugins
Description: audio library manager and player for GTK+
 Quod Libet is a music management program. It provides several different ways
 to view your audio library, as well as support for Internet radio and
 audio feeds. It has extremely flexible metadata tag editing and searching
 capabilities, using the same interface as Ex Falso.
 .
 Supported formats include MP3, Ogg Vorbis, FLAC, Musepack (MPC), WavPack,
 and MOD/XM/IT.

Package: quodlibet-ext
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, quodlibet (= ${source:Version}),
    quodlibet-plugins (>= 20090127-2)
Description: extensions for the Quod Libet audio player
 This package contains architecture-dependent extensions to Quod
 Libet. It adds a notification area icon and multimedia key support
 to Quod Libet.
 .
 Quod Libet is an audio player for GTK+.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_pysupport:
	dh_pysupport
	# kill all the architecture-dependent files in the exfalso package,
	# what's left after pysupport has moved arch-indep files elsewhere
	rm -rf debian/exfalso/usr/lib

## quodlibet 2.3

=== debian/changelog ===
quodlibet (2.3-1) unstable; urgency=low

  * New upstream release 2.3 (Closes: #625880)
  * Removed package quodlibet-ext.
    - Drop python-all-dev build-dependency.
  * Refreshed patch 40-no-po-update.
  * Removed a dh_pysupport override.
  * Suggest gstreamer0.10-gconf.

 -- Ondřej Kuzník <ondra@mistotebe.net>  Thu, 05 May 2011 22:14:13 +0200

quodlibet (2.2.99-1) unstable; urgency=low

  * New upstream release 2.2.99 (Closes: #484689, #576836, #398322, #405289)
  * Bump python-gtk2 dependency to 0.12.
  * Notable changes:
    - It's now possible to do complex searches without specifying tags to
      search in.
    - Playcount now increases after you have heard half of the song.
    - Custom numeric tags now support floating point.
    - All text entries support undo/redo actions.
    - Support for text markup and the per entry pattern in the paned browser
      can be customized.
    - Drag and Drop support in the paned browser.
    - Quodlibet now asks for a name if a new playlist gets created.
    - The queue is now resizable.
    - Several new translations.
  * Suggest libmodplug1 instead of libmodplug0c2.
  * Bump Standards-Version to 3.9.1.0


 -- Ondřej Kuzník <ondra@mistotebe.net>  Tue, 15 Mar 2011 19:29:38 +0100

=== debian/control ===
Source: quodlibet
Section: sound
Priority: optional
Maintainer: Christine Spang <christine@debian.org>
Uploaders: Tristan Seligmann <mithrandi@mithrandi.net>,
    Ondřej Kuzník <ondra@mistotebe.net>
Build-Depends: debhelper (>= 7.0.50~), python-gobject,
    intltool, python-support (>= 0.90), quilt, libgtk2.0-bin,
Standards-Version: 3.9.1.0
Vcs-git: git://git.debian.org/git/collab-maint/quodlibet
Vcs-Browser: http://git.debian.org/?p=collab-maint/quodlibet.git
Homepage: http://code.google.com/p/quodlibet/

Package: exfalso
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-mutagen (>= 1.14),
    python-gtk2 (>= 2.12)
Recommends: quodlibet-plugins
Suggests: python-ctypes, libmodplug1
Conflicts: quodlibet-plugins (<< 20090127)
Description: audio tag editor for GTK+
 Ex Falso displays and edits audio metadata tags. Supported formats include
 MP3, Ogg Vorbis, FLAC, Musepack (MPC), WavPack, and MOD/XM/IT.
 .
 Notable features include:
  * Freeform tag editing for most supported formats, including ID3v2
  * Multiple values for tag keys
  * Flexible rename-by-tags and tag-by-filename patterns
  * Extensible using simple Python-based plugins
  * Edit multiple files in several formats at once

Package: quodlibet
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, exfalso (= ${source:Version}),
    gstreamer0.10-plugins-base (>= 0.10.3), python-gst0.10 (>= 0.10.1),
    gstreamer0.10-plugins-good, gstreamer0.10-plugins-ugly
Recommends: gstreamer0.10-alsa, gstreamer0.10-gnomevfs, python-feedparser,
    python-gpod, python-dbus, python-mmkeys, udisks, media-player-info
Suggests: gstreamer0.10-plugins-bad, quodlibet-plugins, gstreamer0.10-gconf
Replaces: quodlibet-ext
Conflicts: quodlibet-ext
Provides: quodlibet-ext
Description: audio library manager and player for GTK+
 Quod Libet is a music management program. It provides several different ways
 to view your audio library, as well as support for Internet radio and
 audio feeds. It has extremely flexible metadata tag editing and searching
 capabilities, using the same interface as Ex Falso.
 .
 Supported formats include MP3, Ogg Vorbis, FLAC, Musepack (MPC), WavPack,
 and MOD/XM/IT.

## quodlibet 2.3.2

=== debian/changelog ===
quodlibet (2.3.2-1) unstable; urgency=low

  * New upstream bugfix release 2.3.2
  * Notable changes:
    - Fixed hang with newer GStreamer versions.
    - Fixed crash in album browser.
    - Fixed "--print-playing <~#rating>".
    - Fixed "--song-list".
    - Several updated translations.
  * Bump Standards-Version to 3.9.2.0.
  * Incorporate suggestions from Christoph Reiter (thanks!)
    - No longer recommend gstreamer0.10-gnomevfs.
    - Recommend gstreamer0.10-audiosink as an alternative to gstreamer0.10-alsa.
  * Move to dh_python2.
    - Version the Recommends on quodlibet-plugins
    - Get rid of the old Conflicts.
  * Make myself the primary maintainer and remove Tristan from uploaders.

 -- Ondřej Kuzník <ondra@mistotebe.net>  Thu, 20 Oct 2011 06:43:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: quodlibet
 Section: sound
 Priority: optional
-Maintainer: Christine Spang <christine@debian.org>
-Uploaders: Tristan Seligmann <mithrandi@mithrandi.net>,
-    Ondřej Kuzník <ondra@mistotebe.net>
-Build-Depends: debhelper (>= 7.0.50~), python-gobject,
-    intltool, python-support (>= 0.90), quilt, libgtk2.0-bin,
-Standards-Version: 3.9.1.0
+Maintainer: Ondřej Kuzník <ondra@mistotebe.net>
+Uploaders: Christine Spang <christine@debian.org>
+Build-Depends: debhelper (>= 8), python-gobject,
+    intltool, python-all (>= 2.6.6-3~), quilt, libgtk2.0-bin,
+Standards-Version: 3.9.2.0
 Vcs-git: git://git.debian.org/git/collab-maint/quodlibet
 Vcs-Browser: http://git.debian.org/?p=collab-maint/quodlibet.git
 Homepage: http://code.google.com/p/quodlibet/
@@ -15,9 +14,8 @@
 Architecture: all
 Depends: ${python:Depends}, ${misc:Depends}, python-mutagen (>= 1.14),
     python-gtk2 (>= 2.12)
-Recommends: quodlibet-plugins
+Recommends: quodlibet-plugins (>= 1:2.3.2)
 Suggests: python-ctypes, libmodplug1
-Conflicts: quodlibet-plugins (<< 20090127)
 Description: audio tag editor for GTK+
  Ex Falso displays and edits audio metadata tags. Supported formats include
  MP3, Ogg Vorbis, FLAC, Musepack (MPC), WavPack, and MOD/XM/IT.
@@ -34,7 +32,7 @@
 Depends: ${python:Depends}, ${misc:Depends}, exfalso (= ${source:Version}),
     gstreamer0.10-plugins-base (>= 0.10.3), python-gst0.10 (>= 0.10.1),
     gstreamer0.10-plugins-good, gstreamer0.10-plugins-ugly
-Recommends: gstreamer0.10-alsa, gstreamer0.10-gnomevfs, python-feedparser,
+Recommends: gstreamer0.10-alsa | gstreamer0.10-audiosink, python-feedparser,
     python-gpod, python-dbus, python-mmkeys, udisks, media-player-info
 Suggests: gstreamer0.10-plugins-bad, quodlibet-plugins, gstreamer0.10-gconf
 Replaces: quodlibet-ext

## quodlibet 2.4

=== debian/changelog ===
quodlibet (2.4-1) unstable; urgency=low

  [ Ondrej Kuznik ]
  * New upstream release 2.4
  * Notable changes:
    - Queue keyboard shortcut is now Ctrl+Return instead of Q
    - Improved startup speed
    - The paned browser is now the default one
    - Tray icon appears in KDE panel again
    - Close buttons in all dialogs
    - New ~#filesize tag: requires library reload
    - Improvements for the album and radio browser
    - Better support for the language tag
    - Ogg Theora tagging support
    - xinelib 1.2 support
    - Several updated translations.
  * Bump Standards-Version to 3.9.3.1.

 -- Ondřej Kuzník <ondra@mistotebe.net>  Thu, 31 May 2012 10:37:48 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Christine Spang <christine@debian.org>
 Build-Depends: debhelper (>= 8), python-gobject,
     intltool, python-all (>= 2.6.6-3~), quilt, libgtk2.0-bin,
-Standards-Version: 3.9.2.0
+Standards-Version: 3.9.3.1
 Vcs-git: git://git.debian.org/git/collab-maint/quodlibet
 Vcs-Browser: http://git.debian.org/?p=collab-maint/quodlibet.git
 Homepage: http://code.google.com/p/quodlibet/

## quodlibet 3.0.2

=== docs/Makefile ===
all:
	sphinx-build -n . _build

clean:
	rm -rf _build

.PHONY: clean

=== docs/commands/Makefile ===
all: exfalso.1 quodlibet.1 operon.1

setup:
	mkdir -p _man

%.1:%.rst setup
	rst2man $< > _man/$@

.PHONY: setup

=== debian/changelog ===
quodlibet (3.0.2-3) unstable; urgency=low

  * Properly depend on GTK-3.0 (Closes: #724065)

 -- Ondřej Kuzník <ondra@mistotebe.net>  Fri, 27 Sep 2013 22:44:35 +0100

quodlibet (3.0.2-2) unstable; urgency=low

  [Tristan Seligmann]
  * Add myself back to Uploaders.
  * Remove unneeded build-dep on quilt.
  * Install upstream NEWS file as changelog.

  [Ondřej Kuzník]
  * New upstream release 3.0.2 (Closes: #684989)
  * Notable changes:
    - Quodlibet has been ported to GTK+3
    - New command line tagger: operon
    - New browser: Album Collection
    - Support for Monkey Audio, Ogg Opus, MIDI
    - Save/restore queue position
    - Fixed crash when re-adding devices while QL is running
    - Fixed re-filtering of all open browsers if the search history changes
    - Preferences UI for managing masked mount points
    - Documentation now in Sphinx/reST
  * Bump standards version to 3.9.4.
  * Multimedia keys support with non-GNOME DEs needs keybinder-3.0 that is not
    in unstable at the moment

 -- Ondřej Kuzník <ondra@mistotebe.net>  Thu, 15 Aug 2013 22:12:07 +0100

=== debian/control ===
Source: quodlibet
Section: sound
Priority: optional
Maintainer: Ondřej Kuzník <ondra@mistotebe.net>
Uploaders: Christine Spang <christine@debian.org>,
    Tristan Seligmann <mithrandi@debian.org>
Build-Depends: debhelper (>= 8),
    intltool, python-all (>= 2.6.6-3~), libgtk-3-bin,
Standards-Version: 3.9.4
Vcs-git: git://git.debian.org/git/collab-maint/quodlibet
Vcs-Browser: http://git.debian.org/?p=collab-maint/quodlibet.git
Homepage: http://code.google.com/p/quodlibet/

Package: exfalso
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python-mutagen (>= 1.14),
    python-gi, python-gi-cairo (>= 3.2), gir1.2-gtk-3.0
Recommends: quodlibet-plugins (>= 1:2.9)
Suggests: libmodplug1
Description: audio tag editor for GTK+
 Ex Falso displays and edits audio metadata tags. Supported formats include
 MP3, Ogg Vorbis, FLAC, Musepack (MPC), WavPack, and MOD/XM/IT.
 .
 Notable features include:
  * Freeform tag editing for most supported formats, including ID3v2
  * Multiple values for tag keys
  * Flexible rename-by-tags and tag-by-filename patterns
  * Extensible using simple Python-based plugins
  * Edit multiple files in several formats at once

Package: quodlibet
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, exfalso (= ${source:Version}),
    gir1.2-gstreamer-1.0, gir1.2-gst-plugins-base-1.0,
    gstreamer1.0-plugins-base, gstreamer1.0-plugins-good,
    gstreamer1.0-plugins-ugly, gstreamer1.0-pulseaudio
Recommends: python-feedparser, libgpod4, python-dbus,
    udisks, media-player-info, gir1.2-keybinder-3.0, gir1.2-gtksource-3.0
Suggests: gstreamer1.0-plugins-bad, quodlibet-plugins
Replaces: quodlibet-ext
Conflicts: quodlibet-ext
Provides: quodlibet-ext
Description: audio library manager and player for GTK3
 Quod Libet is a music management program. It provides several different ways
 to view your audio library, as well as support for Internet radio and
 audio feeds. It has extremely flexible metadata tag editing and searching
 capabilities, using the same interface as Ex Falso.
 .
 Supported formats include MP3, Ogg Vorbis, FLAC, Musepack (MPC), WavPack,
 and MOD/XM/IT.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2

override_dh_installchangelogs:
	dh_installchangelogs -k NEWS

=== debian/watch ===
version=2

opts=dversionmangle=s/\+debian// \
http://code.google.com/p/quodlibet/downloads/list \
    (?:.*/)?quodlibet-([\d\.]*).tar.gz

## quodlibet 3.1.2

=== docs/commands/Makefile ===
MANDIR=../../data

all: $(MANDIR)/exfalso.1 $(MANDIR)/quodlibet.1 $(MANDIR)/operon.1

$(MANDIR)/%.1:%.rst
	rst2man $< > $@

=== debian/changelog ===
quodlibet (3.1.2-1) unstable; urgency=low

  [ Ondřej Kuzník ]
  * Imported Upstream version 3.1.1
  * Updated watch file.
  * Notable changes:
    - New commands for manipulating and extracting embedded images in operon
    - Display patterns now support specifying the markup using square brackets
  * Install operon as part of the exfalso package.
  * Convert debian/copyright to the DEP-5 format
  * Depend on audiosink the way banshee does since #694786 (Closes: #728093)
  * Bump Standards-Version to 3.9.5 (no change).

  [ Tristan Seligmann ]
  * Fix changelog.
  * Imported Upstream version 3.1.2
  * Switch to canonical VCS URLs.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 28 Jul 2014 01:05:50 +0200

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
     Tristan Seligmann <mithrandi@debian.org>
 Build-Depends: debhelper (>= 8),
     intltool, python-all (>= 2.6.6-3~), libgtk-3-bin,
-Standards-Version: 3.9.4
-Vcs-git: git://git.debian.org/git/collab-maint/quodlibet
-Vcs-Browser: http://git.debian.org/?p=collab-maint/quodlibet.git
+Standards-Version: 3.9.5
+Vcs-git: git://anonscm.debian.org/collab-maint/quodlibet
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/quodlibet.git
 Homepage: http://code.google.com/p/quodlibet/
 
 Package: exfalso
@@ -20,6 +20,9 @@
 Description: audio tag editor for GTK+
  Ex Falso displays and edits audio metadata tags. Supported formats include
  MP3, Ogg Vorbis, FLAC, Musepack (MPC), WavPack, and MOD/XM/IT.
+ .
+ A command-line counterpart, Operon, is also distributed as part of this
+ package.
  .
  Notable features include:
   * Freeform tag editing for most supported formats, including ID3v2
@@ -33,9 +36,10 @@
 Depends: ${python:Depends}, ${misc:Depends}, exfalso (= ${source:Version}),
     gir1.2-gstreamer-1.0, gir1.2-gst-plugins-base-1.0,
     gstreamer1.0-plugins-base, gstreamer1.0-plugins-good,
-    gstreamer1.0-plugins-ugly, gstreamer1.0-pulseaudio
+    gstreamer1.0-plugins-ugly, gstreamer1.0-pulseaudio | gstreamer1.0-audiosink
 Recommends: python-feedparser, libgpod4, python-dbus,
-    udisks, media-player-info, gir1.2-keybinder-3.0, gir1.2-gtksource-3.0
+    udisks, media-player-info, gir1.2-keybinder-3.0, gir1.2-gtksource-3.0,
+    gstreamer1.0-pulseaudio
 Suggests: gstreamer1.0-plugins-bad, quodlibet-plugins
 Replaces: quodlibet-ext
 Conflicts: quodlibet-ext

=== debian/watch ===
version=3

opts=dversionmangle=s/\+debian// \
https://quodlibet.readthedocs.org/en/latest/downloads.html \
    (?:.*/)?quodlibet-([\d\.]*).tar.gz

## quodlibet 3.2.2

=== debian/changelog ===
quodlibet (3.2.2-1) unstable; urgency=medium

  * New upstream release (Closes: #763946).
    - Fixed a problem where context menus would sometimes not show.
  * Bump Standards-Version to 3.9.6.
  * Check upstream signature in debian/watch.

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 04 Oct 2014 17:43:44 +0200

quodlibet (3.2.1-1) unstable; urgency=low

  [ Ondřej Kuzník ]
  * Imported Upstream version 3.2.1 (Closes: #756837)
  * Notable changes:
    - quodlibet-plugins are now a part of the quodlibet release
    - Play order plugins now split in random/non-random and UI adjusted
    - Fixed tray icon crashing or not showing under Gnome Shell 3.12
      (Closes: #755565, #701607)
    - UDisks2 supported, in addition to UDisks1 (Closes: #740838)
    - New MPD Server plugin to remote control QL
    - New acoustid.org fingerprint tagger
    - Exact rating plugin
  * Update dependencies
  * Install NEWS file and sphinx built documentation
  * Use pybuild to prepare the packaged python files

  [ Tristan Seligmann ]
  * Fix some paragraphs in debian/copyright that were in the wrong order.
  * Run dh_sphinxdoc during build.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 28 Sep 2014 02:55:08 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,24 @@
 Maintainer: Ondřej Kuzník <ondra@mistotebe.net>
 Uploaders: Christine Spang <christine@debian.org>,
     Tristan Seligmann <mithrandi@debian.org>
-Build-Depends: debhelper (>= 8),
-    intltool, python-all (>= 2.6.6-3~), libgtk-3-bin,
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 8), dh-python,
+    intltool, python-all (>= 2.6.6-3~), libgtk-3-bin, python-docutils,
+    python-sphinx (>= 1.0.7+dfsg-1~)
+Standards-Version: 3.9.6
 Vcs-git: git://anonscm.debian.org/collab-maint/quodlibet
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/quodlibet.git
 Homepage: http://code.google.com/p/quodlibet/
 
 Package: exfalso
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, python-mutagen (>= 1.14),
-    python-gi, python-gi-cairo (>= 3.2), gir1.2-gtk-3.0
-Recommends: quodlibet-plugins (>= 1:2.9)
-Suggests: libmodplug1
+Depends: ${python:Depends}, ${misc:Depends}, ${sphinxdoc:Depends},
+    python-mutagen (>= 1.14), python-gi (>= 3.2), python-gi-cairo (>= 3.2),
+    gir1.2-gtk-3.0, python (>= 2.7.3-4+deb7u1),
+Recommends: python-musicbrainz2, python-cddb
+Suggests: libmodplug1, brasero | k3b | xfburn
+Replaces: quodlibet-plugins
+Conflicts: quodlibet-plugins
+Provides: quodlibet-plugins
 Description: audio tag editor for GTK+
  Ex Falso displays and edits audio metadata tags. Supported formats include
  MP3, Ogg Vorbis, FLAC, Musepack (MPC), WavPack, and MOD/XM/IT.
@@ -33,14 +38,16 @@
 
 Package: quodlibet
 Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}, exfalso (= ${source:Version}),
+Depends: ${python:Depends}, ${misc:Depends}, ${sphinxdoc:Depends},
+    exfalso (= ${source:Version}),
     gir1.2-gstreamer-1.0, gir1.2-gst-plugins-base-1.0,
     gstreamer1.0-plugins-base, gstreamer1.0-plugins-good,
-    gstreamer1.0-plugins-ugly, gstreamer1.0-pulseaudio | gstreamer1.0-audiosink
-Recommends: python-feedparser, libgpod4, python-dbus,
-    udisks, media-player-info, gir1.2-keybinder-3.0, gir1.2-gtksource-3.0,
-    gstreamer1.0-pulseaudio
-Suggests: gstreamer1.0-plugins-bad, quodlibet-plugins
+    gstreamer1.0-plugins-ugly, gstreamer1.0-pulseaudio | gstreamer1.0-audiosink,
+    python (>= 2.7.3-4+deb7u1),
+Recommends: python-feedparser, libgpod4, python-dbus, udisks2 | udisks,
+    media-player-info, gir1.2-keybinder-3.0, gir1.2-gtksource-3.0,
+    python-pyinotify, notification-daemon
+Suggests: gstreamer1.0-plugins-bad
 Replaces: quodlibet-ext
 Conflicts: quodlibet-ext
 Provides: quodlibet-ext

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python2,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	./setup.py build_sphinx

## quodlibet 3.4.1

=== debian/changelog ===
quodlibet (3.4.1-1) unstable; urgency=medium

  * New upstream release.
  * Add Suggests: gir1.2-gstreamer-1.0 for exfalso as this is required for
    eg. the Replay Gain plugin to work (closes: #780960).

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 31 Jul 2015 09:12:01 +0200

quodlibet (3.4.0-1) unstable; urgency=medium

  * New upstream release, upload to unstable.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 01 May 2015 02:20:07 +0200

quodlibet (3.3.1-1) experimental; urgency=low

  * New upstream release.
    - New upstream signing key (not used yet).
  * Install upstream changelog.

 -- Tristan Seligmann <mithrandi@debian.org>  Mon, 16 Mar 2015 07:46:41 +0200

=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
     python-mutagen (>= 1.14), python-gi (>= 3.2), python-gi-cairo (>= 3.2),
     gir1.2-gtk-3.0, python (>= 2.7.3-4+deb7u1),
 Recommends: python-musicbrainz2, python-cddb
-Suggests: libmodplug1, brasero | k3b | xfburn
+Suggests: libmodplug1, brasero | k3b | xfburn, gir1.2-gstreamer-1.0
 Replaces: quodlibet-plugins
 Conflicts: quodlibet-plugins
 Provides: quodlibet-plugins

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 override_dh_auto_build:
 	dh_auto_build
 	./setup.py build_sphinx
+
+override_dh_installchangelogs:
+	dh_installchangelogs -k NEWS

## quodlibet 3.5.3

=== docs/Makefile ===
RTD_OVERRIDE=-Dhtml_theme=_rtd_theme -Dhtml_theme_path=.

all: _rtd_theme
	sphinx-build $(RTD_OVERRIDE) -b html -n . _build_all

guide:
	sphinx-build $(RTD_OVERRIDE) -b html -c . -n guide _build_guide

clean:
	rm -rf _build_all _build_guide _rtd_theme

.PHONY: clean guide show

_rtd_theme:
	wget https://github.com/snide/sphinx_rtd_theme/archive/master.tar.gz
	tar --strip-components=1 -zxvf master.tar.gz sphinx_rtd_theme-master/sphinx_rtd_theme
	mv sphinx_rtd_theme _rtd_theme
	rm master.tar.gz

show: all
	xdg-open _build_all/index.html

=== docs/guide/commands/Makefile ===
MANDIR=../../../data

all: $(MANDIR)/exfalso.1 $(MANDIR)/quodlibet.1 $(MANDIR)/operon.1

$(MANDIR)/%.1:%.rst
	rst2man $< > $@

=== debian/changelog ===
quodlibet (3.5.3-1) unstable; urgency=medium

  * New upstream version.

 -- Tristan Seligmann <mithrandi@debian.org>  Sun, 24 Jan 2016 18:02:35 +0200

quodlibet (3.5.1-2) unstable; urgency=medium

  * Disable test suite, which was accidentally activated by changes
    elsewhere (closes: #804587).

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 24 Nov 2015 23:52:51 +0200

quodlibet (3.5.1-1) unstable; urgency=medium

  * New upstream version.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 23 Oct 2015 21:38:46 +0200

quodlibet (3.5.0-1) unstable; urgency=medium

  * New upstream version.
  * Drop unnecessary versioned depends/build-depends.
  * Update Vcs-Browser address.
  * Update Homepage address.
  * Drop menu files.
  * Bump debhelper compat level to 9.

 -- Tristan Seligmann <mithrandi@debian.org>  Tue, 13 Oct 2015 21:24:13 +0200

=== debian/control ===
Source: quodlibet
Section: sound
Priority: optional
Maintainer: Ondřej Kuzník <ondra@mistotebe.net>
Uploaders:
 Christine Spang <christine@debian.org>,
 Tristan Seligmann <mithrandi@debian.org>,
Build-Depends:
 debhelper (>= 9),
 dh-python,
 intltool,
 libgtk-3-bin,
 python-all,
 python-docutils,
 python-sphinx (>= 1.0.7+dfsg-1~),
Standards-Version: 3.9.6
Vcs-git: git://anonscm.debian.org/collab-maint/quodlibet
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/quodlibet.git
Homepage: https://github.com/quodlibet/quodlibet

Package: exfalso
Architecture: all
Depends:
 gir1.2-gtk-3.0,
 python (>= 2.7.3-4+deb7u1),
 python-gi,
 python-gi-cairo,
 python-mutagen,
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
Recommends: python-cddb, python-musicbrainz2
Suggests: brasero | k3b | xfburn, gir1.2-gstreamer-1.0, libmodplug1
Replaces: quodlibet-plugins
Conflicts: quodlibet-plugins
Provides: quodlibet-plugins
Description: audio tag editor for GTK+
 Ex Falso displays and edits audio metadata tags. Supported formats include
 MP3, Ogg Vorbis, FLAC, Musepack (MPC), WavPack, and MOD/XM/IT.
 .
 A command-line counterpart, Operon, is also distributed as part of this
 package.
 .
 Notable features include:
  * Freeform tag editing for most supported formats, including ID3v2
  * Multiple values for tag keys
  * Flexible rename-by-tags and tag-by-filename patterns
  * Extensible using simple Python-based plugins
  * Edit multiple files in several formats at once

Package: quodlibet
Architecture: all
Depends:
 exfalso (= ${source:Version}),
 gir1.2-gst-plugins-base-1.0,
 gir1.2-gstreamer-1.0,
 gstreamer1.0-plugins-base,
 gstreamer1.0-plugins-good,
 gstreamer1.0-plugins-ugly,
 gstreamer1.0-pulseaudio | gstreamer1.0-audiosink,
 python (>= 2.7.3-4+deb7u1),
 ${misc:Depends},
 ${python:Depends},
 ${sphinxdoc:Depends},
Recommends:
 gir1.2-gtksource-3.0,
 gir1.2-keybinder-3.0,
 libgpod4,
 media-player-info,
 notification-daemon,
 python-dbus,
 python-feedparser,
 python-pyinotify,
 udisks2 | udisks,
Suggests: gstreamer1.0-plugins-bad
Replaces: quodlibet-ext
Conflicts: quodlibet-ext
Provides: quodlibet-ext
Description: audio library manager and player for GTK3
 Quod Libet is a music management program. It provides several different ways
 to view your audio library, as well as support for Internet radio and
 audio feeds. It has extremely flexible metadata tag editing and searching
 capabilities, using the same interface as Ex Falso.
 .
 Supported formats include MP3, Ogg Vorbis, FLAC, Musepack (MPC), WavPack,
 and MOD/XM/IT.

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,5 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs -k NEWS
+
+override_dh_auto_test:

=== debian/watch ===
version=3

opts=pgpsigurlmangle=s/$/.sig/,\
dversionmangle=s/\+debian// \
https://quodlibet.readthedocs.org/en/latest/downloads.html \
    (?:.*/)?quodlibet-([\d\.]*).tar.gz

## quodlibet 3.6.2

=== debian/changelog ===
quodlibet (3.6.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8 (no changes).

 -- Tristan Seligmann <mithrandi@debian.org>  Thu, 23 Jun 2016 23:20:53 +0200

quodlibet (3.6.1-2) unstable; urgency=medium

  * Add missing dependency on gir1.2-soup-2.4 (closes: #820443).

 -- Tristan Seligmann <mithrandi@debian.org>  Sat, 16 Apr 2016 05:41:04 +0200

quodlibet (3.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.7 (no changes).
  * Use https in Vcs-* fields.

 -- Tristan Seligmann <mithrandi@debian.org>  Fri, 08 Apr 2016 02:59:00 +0200

=== debian/control ===
--- 
+++ 
@@ -13,9 +13,10 @@
  python-all,
  python-docutils,
  python-sphinx (>= 1.0.7+dfsg-1~),
-Standards-Version: 3.9.6
-Vcs-git: git://anonscm.debian.org/collab-maint/quodlibet
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/quodlibet.git
+ python-sphinx-rtd-theme,
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/quodlibet.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/quodlibet.git
 Homepage: https://github.com/quodlibet/quodlibet
 
 Package: exfalso
@@ -65,6 +66,7 @@
 Recommends:
  gir1.2-gtksource-3.0,
  gir1.2-keybinder-3.0,
+ gir1.2-soup-2.4,
  libgpod4,
  media-player-info,
  notification-daemon,
